gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.FlowBoxAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype FlowBoxAccessible = FlowBoxAccessible (ManagedPtr FlowBoxAccessible)
- class (GObject o, IsDescendantOf FlowBoxAccessible o) => IsFlowBoxAccessible o
- toFlowBoxAccessible :: (MonadIO m, IsFlowBoxAccessible o) => o -> m FlowBoxAccessible

# Exported types

newtype FlowBoxAccessible Source #

Memory-managed wrapper type.

Constructors

FlowBoxAccessible (ManagedPtr FlowBoxAccessible) |

#### Instances

Instances details

Eq FlowBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible Methods (==) :: FlowBoxAccessible -> FlowBoxAccessible -> Bool Source # (/=) :: FlowBoxAccessible -> FlowBoxAccessible -> Bool Source #
GObject FlowBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible
ManagedPtrNewtype FlowBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible Methods toManagedPtr :: FlowBoxAccessible -> ManagedPtr FlowBoxAccessible Source #
TypedObject FlowBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible Methods glibType :: IO GType Source #
HasParentTypes FlowBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible
IsGValue (Maybe FlowBoxAccessible) Source # | Convert `FlowBoxAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FlowBoxAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FlowBoxAccessible) Source #
type ParentTypes FlowBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible type ParentTypes FlowBoxAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Selection]

class (GObject o, IsDescendantOf FlowBoxAccessible o) => IsFlowBoxAccessible o Source #

Type class for types which can be safely cast to `FlowBoxAccessible`, for instance with `toFlowBoxAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf FlowBoxAccessible o) => IsFlowBoxAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxAccessible

toFlowBoxAccessible :: (MonadIO m, IsFlowBoxAccessible o) => o -> m FlowBoxAccessible Source #

Cast to `FlowBoxAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.